org.apache.cassandra.db.commitlog

## Interface EncryptedFileSegmentInputStream.ChunkProvider

Enclosing class:
  EncryptedFileSegmentInputStream

    public static interface EncryptedFileSegmentInputStream.ChunkProvider

### Method Summary

All Methods Instance Methods Abstract Methods
`java.nio.ByteBuffer` `nextChunk()` Get the next chunk from the backing provider, if any chunks remain.

### Method Detail

#### nextChunk

    java.nio.ByteBuffer nextChunk()

Get the next chunk from the backing provider, if any chunks remain.

Returns:
  Next chunk, else null if no more chunks remain.